﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace EFramework.Model.Transfer
{
    [DataContract]
    public class EntityType
    {
        [DataMember]
        public Guid Id { get; set; }

        [DataMember]
        public string Type { get; set; }

        [DataMember]
        public List<PropertyType> Properties { get; set; }

        [DataMember]
        public List<ReferenceType> References { get; set; }

        [DataMember(EmitDefaultValue = false, IsRequired = false)]
        public int TrackingState { get; set; }
    }
}
