﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using EFramework.Networking.Parser;

namespace EFramework.Networking
{
    public abstract class NetworkGateway
    {
        public abstract HDocument GetPage(NetworkRequest request);
        public abstract string GetText(NetworkRequest request);
        public abstract byte[] GetImage(NetworkRequest request);
        public abstract Stream GetStream(NetworkRequest request);
    }
}
