﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Client.Operations
{
    public interface IOperation
    {
        string Name { get; }

        bool CanExecute(object context, ICollection<IOperationTarget> resources);
        void Execute(object context, ICollection<IOperationTarget> resources);
    }
}
