﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.ServiceModel;
using System.Text;
using MDownloader.Main.Client.CaptchaServiceReference;
using MDownloader.Main.Entities.Transfer;

namespace MDownloader.Main.Client.Services
{
    [Export]
    public class CaptchaServiceProxy
    {
        public void Proceed(Guid captchaId, string text)
        {
            using (var client = new DownloaderCaptchaServiceClient(new NetTcpBinding(), new EndpointAddress("net.tcp://localhost:4712/MDownloader/Main/Captcha")))
            {
                client.Complete(new CaptchaRef { Id = captchaId }, text);
            }
        }
    }
}
