﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Model;

namespace MDownloader.Main.Entities
{
    public class Captcha : Entity
    {
        public Captcha(Guid id)
            : base(Identifier.From<Captcha>(id))
        {
        }


        public byte[] Data { get; set; }

        private string text;
        public string Text
        {
            get { return this.text; }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    this.OnChanged(CaptchaProperties.Text);
                }
            }
        }
    }
}
