﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Main.Interfaces.Base.Providers
{
    public abstract class ProviderBase<TUrlParser>
        where TUrlParser : UrlParserBase, new()
    {
        private readonly TUrlParser parser;


        protected ProviderBase()
        {
            this.parser = new TUrlParser();
        }


        public bool Supports(string url)
        {
            return this.parser.IsValid(url);
        }
    }
}
