﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Main.Interfaces.Base
{
    internal class SchedulerToken : ISchedulerToken
    {
        private Action<ISchedulerToken> releaser;


        public SchedulerToken(Action<ISchedulerToken> releaser)
        {
            this.releaser = releaser;
        }


        public void Release()
        {
            if (this.releaser != null)
            {
                this.releaser(this);
                this.releaser = null;
            }
        }
    }
}
