﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MDownloader.Main.Entities;
using MDownloader.Main.Interfaces;

namespace MDownloader.Main.Server.Captcher.Interfaces
{
    internal interface ICaptcherInternal
    {
        event EventHandler<CaptchaEventArgs> CaptchaAdded;
        event EventHandler<CaptchaEventArgs> CaptchaRemoved;

        void Process(Task task, ICaptcha captcha);
        void Complete(Guid captchaId, string text);
    }
}
