﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Main.Server.Repository.Interfaces
{
    internal interface IMergeInfo
    {
        void AddAdded(IType instance);
        void AddChanged(IType instance);
        void AddDeleted(IType instance);

        TType Get<TType>(Guid id)
            where TType : IType;

        TType[] Get<TType>(IEnumerable<Guid> ids)
            where TType : IType;
    }
}
