﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Model;

namespace MDownloader.Main.Server.Repository.Interfaces
{
    internal interface IPart<T>
        where T : class, IType, new()
    {
        void MergeInstances(IMergeInfo result, IScopeManager scopeManager, IEnumerable<Package> transients, IEnumerable<T> persistents);
        T CopyProperties(IMergeInfo result, IScopeManager scopeManager, Package package, T persistent = null);
    }
}
