﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MDownloader.Client;
using MDownloader.Search.Client.Models.Interfaces;
using MDownloader.Search.Entities;

namespace MDownloader.Search.Client.Models
{
    internal class SpecificationViewModel : PropertyNotifier, IQuery
    {
        private readonly Specification target;


        public SpecificationViewModel(Specification target)
        {
            this.target = target;
        }


        public Guid Id
        {
            get { return this.target.Identifier.Id; }
        }

        public string Name
        {
            get { return this.target.Query; }
        }


        public void Update()
        {
        }
    }
}
