﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Search.Interfaces;
using MDownloader.Search.Server.Engines.Interfaces;

namespace MDownloader.Search.Server.Engines.Implementation
{
    [Export(typeof(IEngineServiceInternal))]
    internal class EngineService : IEngineServiceInternal
    {
        [ImportMany]
        private Lazy<ISearchEngine, ISearchMetadata>[] engines;


        public ISearchEngine GetEngine()
        {
            return this.engines.First().Value;
        }
    }
}
