﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Model;
using MDownloader.Search.Entities;

namespace MDownloader.Search.Server.Model.Interfaces
{
    internal interface IModelInternal
    {
        event EventHandler<SpecificationEventArgs> SpecificationChanged;

        event EventHandler<ResultEventArgs> ResultAdded;
        event EventHandler<ResultEventArgs> ResultChanged;
        event EventHandler<ResultEventArgs> ResultRemoved;

        void Add(Package<Specification> specificatation);
        void AddResults(Package<Specification> specification);

        Parameter[] GetParameters(Specification specification);
        Url[] GetUrls(Result result);
    }
}
