﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Core.Contracts;
using MDownloader.Core.Server;
using MDownloader.Main.Interfaces;

namespace QImpl.FileSonic.Implementation
{
    internal class Resource : IProviderResource
    {
        private readonly IBrowserSession session;
        private readonly string link;


        public Resource(IBrowserSession session, string link)
        {
            Ensure.IsNotNull(() => session);
            Ensure.IsNotNullNorEmpty(() => link);

            this.session = session;
            this.link = link;
        }


        public string Name { get; private set; }
        public string Description { get; private set; }

        public long Size { get; private set; }
        public bool SizeExactness
        {
            get { return false; }
        }


        public void Initialize()
        {
        }

        public IProviderFeedback GetFeedback()
        {
            return null;
        }


        public IProviderResourceData GetData()
        {
            return null;
        }
    }
}
