﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using QImpl.Hotfile.Implementation.Requests;

namespace QImpl.Hotfile.Implementation
{
    internal static class Builder
    {
        public static readonly CheckFilesRequestBuilder CheckFiles = new CheckFilesRequestBuilder();
        public static readonly FileInfoRequestBuilder FileInfo = new FileInfoRequestBuilder();
        public static readonly DownloadRequestBuilder Download = new DownloadRequestBuilder();
        public static readonly CaptchaRequestBuilder Captcha = new CaptchaRequestBuilder();
        public static readonly StreamRequestBuilder Stream = new StreamRequestBuilder();
    }
}
