﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Core.Server;
using MDownloader.Main.Interfaces;
using MDownloader.Main.Interfaces.Base.Providers;

namespace QImpl.Hotfile.Implementation
{
    [Export(typeof(IProvider))]
    [PartCreationPolicy(CreationPolicy.Shared)]
    [ExportMetadata("Name", "Hotfile")]
    internal class Provider : ProviderBase<UrlParser>, IProvider
    {
        [Import]
        private IRecaptcha recaptcha;


        public IProviderSession OpenSession(IBrowser browser)
        {
            return new Session(browser, this.recaptcha);
        }
    }
}
