﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using QImpl.Hotfile.Implementation.Responses.Processors;
using QImpl.Responses;
using QImpl.Responses.Document;

namespace QImpl.Hotfile.Implementation.Responses
{
    internal class FileInfoResponseParser : DocumentParser<FileInfoResponse>
    {
        protected override IEnumerable<IDocumentProcessor<FileInfoResponse>> GetProcessors()
        {
            yield return new InfoProcessor();
            yield return new WaitProcessor();
            yield return new FormProcessor();
        }
    }
}
