﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MDownloader.Main.Interfaces.Exceptions;

namespace QImpl.Megaupload.Implementation.Exceptions
{
    [Serializable]
    internal class MegauploadException : ProviderException
    {
        private readonly MegauploadReason reason;


        public MegauploadException(MegauploadReason reason, string message)
            : base(message)
        {
            this.reason = reason;
        }


        public MegauploadReason Reason
        {
            get { return this.reason; }
        }
    }
}
