﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QImpl.Megaupload.Implementation.Responses
{
    internal class CheckFilesResponse
    {
        public List<Entry> Files { get; set; }

        public class Entry
        {
            public string Id { get; set; }
            public string Name { get; set; }
            public long? Size { get; set; }
            public Status Status { get; set; }
        }

        public enum Status
        {
            NotFound = 0,
            FileOk = 1,
        }
    }
}
