﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MDownloader.Main.Interfaces.Exceptions;

namespace QImpl.Rapidshare.Implementation.Exceptions
{
    [Serializable]
    internal class RapidshareException : ProviderException
    {
        private string id;


        public RapidshareException(string id, string message)
            : base(message)
        {
            this.id = id;
        }


        public string Id
        {
            get { return this.id; }
        }
    }
}
