﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Core.Server;
using MDownloader.Main.Interfaces;

namespace QImpl.Rapidshare.Implementation
{
    [Export(typeof(IProvider))]
    [PartCreationPolicy(CreationPolicy.Shared)]
    [ExportMetadata("Name", "Rapidshare")]
    internal class Provider : IProvider
    {
        private static readonly UrlParser Parser = new UrlParser();


        public bool Supports(string url)
        {
            return Provider.Parser.IsValid(url);
        }

        public IProviderSession OpenSession(IBrowser browser)
        {
            return new Session(browser);
        }
    }
}
