﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using EFramework.Core.Contracts;
using MDownloader.Core.Server;
using MDownloader.Main.Interfaces;

namespace QImpl.Recaptcha.Implementation
{
    [Export(typeof(IRecaptcha)), PartCreationPolicy(CreationPolicy.Shared)]
    internal class Recaptcha : IRecaptcha
    {
        public IRecaptchaSession StartSession(IBrowserSession browserSession, string token)
        {
            Ensure.IsNotNull(() => browserSession);
            Ensure.IsNotNullNorEmpty(() => token);

            return new Session(browserSession, token);
        }
    }
}
