﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Core;

namespace EFramework.Model
{
    public abstract class ContainerBase : SynchronizableObject
    {
        private readonly Dictionary<Identifier, Entity> entries;


        internal ContainerBase()
        {
            this.entries = new Dictionary<Identifier, Entity>();
        }


        internal IDictionary<Identifier, Entity> Entries
        {
            get { return this.entries; }
        }
    }
}
