﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Core.Contracts;

namespace EFramework.Model
{
    public static class EntityExtensions
    {
        public static IEnumerable<Guid> ToIds<TEntity>(this IEnumerable<TEntity> entities)
            where TEntity : Entity
        {
            Ensure.IsNotNull(() => entities);

            var query = from entity in entities
                        select entity.Identifier.Id;

            return query;
        }
    }
}
