﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EFramework.Model.Tracking
{
    public class TrackerEventArgs : EventArgs
    {
        private readonly object owner;
        private readonly string propertyName;


        public TrackerEventArgs(object owner, string propertyName)
        {
            this.owner = owner;
            this.propertyName = propertyName;
        }


        public object Owner
        {
            get { return this.owner; }
        }

        public string PropertyName
        {
            get { return this.propertyName; }
        }
    }
}
