﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace EFramework.Networking.Parser
{
    public sealed class HDocument : HContainer
    {
        internal HDocument()
        {
        }

        public override HContainer Owner
        {
            get { return null; }
        }

        public XDocument ToXmlDocument()
        {
            return new XDocument(this.Children.First().ToXml());
        }

        public override XNode ToXml()
        {
            return this.ToXmlDocument();
        }
    }
}
