﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Microsoft.Practices.Prism.Interactivity.InteractionRequest;

namespace MDownloader.Core.Client.Behaviours.Actions
{
    public class CloseAction : DispatcherTriggerAction
    {
        protected override void InvokeAction(InteractionRequestedEventArgs e)
        {
            var owner = Window.GetWindow(this.AssociatedObject);
            if (owner != null)
            {
                owner.Close();
            }
        }
    }
}
