﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.Interactivity.InteractionRequest;

namespace MDownloader.Client.Notifications
{
    public abstract class InteractionBase : Notification
    {
        protected object associatedConnector;


        internal void AssignConnector(object connector)
        {
            this.associatedConnector = connector;
        }

        internal abstract Type GetConnectorType();
    }
}
