﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Core
{
    public class ValueEventArgs<TTarget> : EventArgs
        where TTarget : class
    {
        private readonly TTarget target;


        protected ValueEventArgs(TTarget target)
        {
            this.target = target;
        }


        public TTarget Target
        {
            get { return this.target; }
        }
    }
}
