﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Client.Operations;
using MDownloader.Main.Client.Models.Interfaces;
using MDownloader.Main.Client.Models.Operations;

namespace MDownloader.Main.Client.Operations
{
    [Export(typeof(IOperationProvider))]
    [ExportMetadata("Target", typeof(IResource))]
    internal class ResourceOperationProvider : IOperationProvider
    {
        public IEnumerable<IOperation> Provide()
        {
            yield return new StartOperation();
            yield return new RemoveOperation();
        }
    }
}
