﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Client;

namespace MDownloader.Main.Client.Views.Wizards.AddLinks
{
    [Export, PartCreationPolicy(CreationPolicy.NonShared)]
    internal class PasteViewModel : PropertyNotifier
    {
        private string text;
        public string Text
        {
            get { return this.text; }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    this.RaisePropertyChanged(() => this.Text);
                    this.RaisePropertyChanged(() => this.CanSelectNextPage);
                }
            }
        }

        public bool CanSelectNextPage
        {
            get { return !String.IsNullOrWhiteSpace(this.text); }
        }
    }
}
