﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Main.Interfaces
{
    public interface IExecutor
    {
        void Queue<TContext>(TContext context, params IExecutorTask<TContext>[] tasks);
        void Execute<TContext>(TContext context, params IExecutorTask<TContext>[] tasks);
    }
}
