﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDownloader.Main.Interfaces
{
    public interface IProviderFeedback
    {
        bool IsReady();

        bool IsWaitingRequired();
        void SatisfyWaitingRequirement(Action<TimeSpan> waiter);

        bool IsCaptchaRequired();
        void SatisfyCaptchaRequirement(Action<ICaptcha> captcher);
    }
}
