﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Networking;
using MDownloader.Core.Server;

namespace MDownloader.Main.Server.Browser.Implementation
{
    internal class Browser : IBrowser
    {
        private readonly NetworkGateway gateway;


        public Browser(NetworkGateway gateway)
        {
            this.gateway = gateway;
        }


        public IBrowserSession OpenSession()
        {
            return new BrowserSession(this.gateway);
        }
    }
}
