﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using MDownloader.Main.Entities.Transfer;

namespace MDownloader.Main.Server
{
    public interface IDownloaderCallback
    {
        [OperationContract]
        void OnLinkChanged(params LinkChange[] linkChanges);

        [OperationContract(IsOneWay = true)]
        void OnFileChanged(params FileChange[] fileChanges);

        [OperationContract]
        void OnPackageChanged(params PackageChange[] packageChanges);

        [OperationContract]
        void OnTaskChanged(params TaskChange[] taskChanges);

        [OperationContract]
        void OnCaptchaChanged(params CaptchaChange[] captchaChanges);
    }
}
