﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using EFramework.Model.Transfer;

namespace MDownloader.Main.Server
{
    /// <summary>
    /// Provides operations to obtain information about artifacts.
    /// </summary>
    [ServiceContract(CallbackContract = typeof(IDownloaderCallback))]
    public interface IDownloaderInfoService
    {
        [OperationContract]
        void Subscribe();

        [OperationContract]
        void Unsubscribe();
    }
}
