﻿using System;
using System.Linq;
using System.Text;
using Iesi.Collections.Generic;
using MDownloader.Main.Server.Repository.Interfaces;

namespace MDownloader.Main.Server.Repository
{
    public class FileType : IType
    {
        public virtual Guid Id { get; set; }

        public virtual string Name { get; set; }
        public virtual string Location { get; set; }

        public virtual long Size { get; set; }
        public virtual bool SizeExactness { get; set; }

        public virtual PackageType Package { get; set; }
        public virtual ISet<LinkType> Links { get; set; }
    }
}
