﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Main.Interfaces;

namespace MDownloader.Main.Server.Repository.Implementation
{
    [Export(typeof(IParticipant))]
    internal class Participant : IParticipant
    {
        public IEnumerable<Type> GetPersistableTypes()
        {
            yield return typeof(FileType);
            yield return typeof(LinkType);
            yield return typeof(PackageType);
        }
    }
}
