﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Main.Entities.Transfer;
using MDownloader.Main.Server.Captcher.Interfaces;

namespace MDownloader.Main.Server.Services.Endpoints
{
    [Export(typeof(IDownloaderCaptchaService))]
    [PartCreationPolicy(CreationPolicy.Shared)]
    internal class DownloaderCaptchaService : IDownloaderCaptchaService
    {
        [Import]
        private ICaptcherInternal captcher;


        public void Complete(CaptchaRef captcha, string text)
        {
            captcher.Complete(captcha.Id, text);
        }
    }
}
