﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using MDownloader.Main.Entities.Transfer;
using MDownloader.Main.Server.Model.Interfaces;

namespace MDownloader.Main.Server.Services.Endpoints
{
    [Export(typeof(IDownloaderManageService))]
    [PartCreationPolicy(CreationPolicy.Shared)]
    internal class DownloaderManageService : IDownloaderManageService
    {
        [Import]
        private IModelInternal model;

        
        public void SetPriority(int priority, ResourceRef[] resources)
        {
        }

        public void Remove(ResourceRef[] resources)
        {
            var query = from resource in resources
                        select resource.Id;

            this.model.Remove(query.ToArray());
        }
    }
}
