﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;
using MDownloader.Main.Server.Services.Interfaces;

namespace MDownloader.Main.Server.Services.Implementation
{
    [Export(typeof(ICallbackDispatcherInternal))]
    [PartCreationPolicy(CreationPolicy.Shared)]
    internal class CallbackDispatcher : ICallbackDispatcherInternal
    {
        [Import]
        private ICallbackRepositoryInternal repository;


        public void Do(Action<IDownloaderCallback> action)
        {
            foreach (var callback in this.repository.GetAll())
            {
                action(callback);
            }
        }
    }
}
