﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MDownloader.Core.Server.Implementation;

namespace MDownloader.Main.Server.Writer.Implementation
{
    internal abstract class BufferAdjuster
    {
        public abstract void Tick(long bytes);
        public abstract void Adjust(ref byte[] buffer);


        public static BufferAdjuster Default()
        {
            return new DefaultBufferAdjuster(new DateTimeProvider());
        }        
    }
}
