﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace MDownloader.Main.Server.Writer.Interfaces
{
    internal interface IMultiStream
    {
        void Compact(string destination = null);
        void CopyTo(string destination);

        void Write(Stream stream, long offset, long count, Action<ITick> progress = null);
        IMultiStreamInfo GetInfo();
    }
}
