﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Networking;

namespace QImpl.Core.Exceptions.UnexpectedData
{
    internal class CallbackArtifact : ArtifactBase<NetworkCallback>
    {
        public CallbackArtifact(NetworkCallback callback)
            : base(callback)
        {
        }


        public override byte[] GetBytes()
        {
            var text = this.target.ToString();
            var bytes = Encoding.UTF8.GetBytes(text);

            return bytes;
        }
    }
}
