﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Networking.Parser;

namespace QImpl.Core.Exceptions.UnexpectedData
{
    internal class DocumentArtifact : ArtifactBase<HDocument>
    {
        public DocumentArtifact(HDocument document)
            :base(document)
        {
        }


        public override byte[] GetBytes()
        {
            var document = this.target.ToXmlDocument();
            var text = document.ToString();
            var bytes = Encoding.UTF8.GetBytes(text);

            return bytes;
        }
    }
}
