﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using QImpl.Core.Exceptions.UnexpectedData;

namespace QImpl.Core.Exceptions.UnexpectedData
{
    internal class StreamArtifact : ArtifactBase<Stream>
    {
        public StreamArtifact(Stream stream)
            : base(stream)
        {
        }


        public override byte[] GetBytes()
        {
            var buffer = new byte[1024];
            var read = this.target.Read(buffer, 0, buffer.Length);

            Array.Resize(ref buffer, Math.Max(0, read));

            return buffer;
        }
    }
}
