﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using QImpl.FileSonic.Implementation;

namespace QImpl.FileSonic.Tests.Implementation
{
    [TestFixture]
    public class UrlParserFixture
    {
        [Test]
        public void CanRecognizeShortLinkForm()
        {
            var link = "http://www.filesonic.pl/file/u2ELZVS";
            var instance = new UrlParser();

            Assert.True(instance.IsValid(link), "The link should be recognized.");
        }

        [Test]
        public void CanRecognizeLongLinkForm()
        {
            var link = "http://www.filesonic.com/file/dFIxOez/Merlin.2008.S01E05.WS.PDTV.XviD-BiA.avi";
            var instance = new UrlParser();

            Assert.True(instance.IsValid(link), "The link should be recognized.");
        }
    }
}
