﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MDownloader.Search.Interfaces;

namespace QImpl.Filestube.Implementation
{
    internal class Bag : ISearchBag
    {
        private readonly List<ISearchResult> results;


        public Bag()
        {
            this.results = new List<ISearchResult>();
        }


        public int Offset { get; set; }
        public int Count { get; set; }


        public void AddResult(ISearchResult result)
        {
            this.results.Add(result);
        }

        public IEnumerable<ISearchResult> GetResults()
        {
            return results;
        }
    }
}
