﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Core.Contracts;
using EFramework.Networking.Parser;
using MDownloader.Main.Interfaces.Base;
using QImpl.Hotfile.Implementation.Responses.Processors;
using QImpl.Responses.Document;

namespace QImpl.Hotfile.Implementation.Responses
{
    internal class CaptchaResponseParser : DocumentParser<CaptchaResponse>
    {
        protected override IEnumerable<IDocumentProcessor<CaptchaResponse>> GetProcessors()
        {
            yield return new DownloadProcessor();
            yield return new FailureProcessor();
        }
    }
}
