﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EFramework.Networking;

namespace QImpl.Megaupload.Implementation.Requests
{
    internal class CheckFilesRequestBuilder
    {
        public NetworkRequest Get(string[] ids)
        {
            var postData = new NetworkPostData();

            for (int i = 0; i < ids.Length; i++)
            {
                postData.Add("id" + i, ids[i]);
            }

            return new NetworkRequest(@"http://www.megaupload.com/mgr_linkcheck.php", Guid.Empty)
            {
                PostData = postData,
            };
        }
    }
}
