﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QImpl.Megaupload.Implementation.Responses
{
    internal class FileInfoResponse
    {
        public string Name { get; set; }
        public long Size { get; set; }
        public string Link { get; set; }

        public bool Validate()
        {
            return String.IsNullOrWhiteSpace(this.Name) == false
                && this.Size > 0
                && String.IsNullOrWhiteSpace(this.Link) == false;
        }
    }
}
