﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QImpl.Rapidshare.Implementation.Responses
{
    internal class CheckFilesResponse
    {
        public List<Entry> Files { get; set; }

        public class Entry
        {
            public string Id { get; set; }
            public string Name { get; set; }
            public long Size { get; set; }
            public string Server { get; set; }
            public Status Status { get; set; }
            public string Host { get; set; }
            public string MD5 { get; set; }
        }

        public enum Status
        {
            NotFound = 0,
            FileOk = 1,
            ServerDown = 3,
            Illegal = 4,
        }
    }
}
