﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QImpl.Recaptcha.Implementation.Responses
{
    internal class ChallengeResponse
    {
        public string Site { get; set; }
        public string Challenge { get; set; }
        public bool IsIncorect { get; set; }
        public string ProgrammingError { get; set; }
        public string ErrorMessage { get; set; }
        public string Server { get; set; }
        public int Timeout { get; set; }


        public bool Validate()
        {
            return String.IsNullOrWhiteSpace(this.Site) == false
                && String.IsNullOrWhiteSpace(this.Challenge) == false
                && String.IsNullOrWhiteSpace(this.Server) == false
                && this.Timeout > 0;
        }
    }
}
